List a deal’s submissions
curl --request GET \
--url https://api.nextlevelmca.com/v1/deals/{dealId}/submissions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nextlevelmca.com/v1/deals/{dealId}/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nextlevelmca.com/v1/deals/{dealId}/submissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"deal_id": "<string>",
"lender_id": "<string>",
"lender_name": "<string>",
"status": "pending",
"submission_method": "email",
"api": {
"id": "<string>",
"submission_id": "<string>",
"deal_id": "<string>",
"lender_id": "<string>",
"funder_api_spec_id": "<string>",
"environment": "development",
"external_id": "<string>",
"funder_status": "<string>",
"internal_status": "queued",
"deep_link_url": "<string>",
"error_message": "<string>",
"error_code": "auth_failed",
"attempt_number": 123,
"submitted_at": "<string>",
"last_polled_at": "<string>",
"next_poll_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"can_retry": true,
"retry_after_seconds": 123,
"retry_blocked_reason": "<string>"
},
"response_type": "<string>",
"response_notes": "<string>",
"decline_reason": "<string>",
"decline_category": "<string>",
"requested_items": [
"<string>"
],
"match_score": 123,
"match_eligible": true,
"submitted_by_id": "<string>",
"submitted_at": "<string>",
"responded_at": "<string>",
"trace_code": "K7M3QX",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"meta": {
"next_cursor": "<string>",
"has_more": true
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Submissions
List a deal’s submissions
Every lender the deal was submitted to, newest first, with status, lender response and the match score at submission time.
GET
/
v1
/
deals
/
{dealId}
/
submissions
List a deal’s submissions
curl --request GET \
--url https://api.nextlevelmca.com/v1/deals/{dealId}/submissions \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nextlevelmca.com/v1/deals/{dealId}/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.nextlevelmca.com/v1/deals/{dealId}/submissions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "<string>",
"deal_id": "<string>",
"lender_id": "<string>",
"lender_name": "<string>",
"status": "pending",
"submission_method": "email",
"api": {
"id": "<string>",
"submission_id": "<string>",
"deal_id": "<string>",
"lender_id": "<string>",
"funder_api_spec_id": "<string>",
"environment": "development",
"external_id": "<string>",
"funder_status": "<string>",
"internal_status": "queued",
"deep_link_url": "<string>",
"error_message": "<string>",
"error_code": "auth_failed",
"attempt_number": 123,
"submitted_at": "<string>",
"last_polled_at": "<string>",
"next_poll_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>",
"can_retry": true,
"retry_after_seconds": 123,
"retry_blocked_reason": "<string>"
},
"response_type": "<string>",
"response_notes": "<string>",
"decline_reason": "<string>",
"decline_category": "<string>",
"requested_items": [
"<string>"
],
"match_score": 123,
"match_eligible": true,
"submitted_by_id": "<string>",
"submitted_at": "<string>",
"responded_at": "<string>",
"trace_code": "K7M3QX",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"meta": {
"next_cursor": "<string>",
"has_more": true
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"type": "validation_error",
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>"
}
}Authorizations
API key (nlmca_live_…) or OAuth access token
Path Parameters
Deal id
Query Parameters
Page size (1–100).
Required range:
1 <= x <= 100Opaque cursor from a previous response’s meta.next_cursor.
Only submissions with this status.
Available options:
pending, queued, recorded, sent, approved, declined, needs_info, expired, funded, withdrawn Was this page helpful?